<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.richfaces.samples.seamEAR</groupId>
	<artifactId>ejbs</artifactId>
	<packaging>ejb</packaging>
	<version>3.1.3.GA</version>
	<name>enterprise java beans</name>
	<parent>
		<groupId>org.richfaces.samples</groupId>
		<artifactId>seamEAR</artifactId>
		<version>3.1.3.GA</version>
	</parent>
	<dependencies>
		<dependency>
			<groupId>org.richfaces.samples.seamEAR</groupId>
			<artifactId>primary-source</artifactId>
		</dependency>
		<dependency>
			<groupId>org.richfaces.samples.seamEAR.projects</groupId>
			<artifactId>logging</artifactId>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>jboss-seam-core</artifactId>
			<version>2.0.0.BETA</version>
			<systemPath>${seamHome}/jboss-seam.jar</systemPath>
			<scope>system</scope>
		</dependency>
		<dependency>
			<groupId>org.richfaces.framework</groupId>
			<artifactId>richfaces-api</artifactId>
			<version>3.1.3.GA</version>
			<exclusions>
				<exclusion>
					<groupId>javax.faces</groupId>
					<artifactId>jsf-api</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>javax.ejb</groupId>
			<artifactId>ejb-api</artifactId>
			<version>3.0</version>
			<scope>provided</scope>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>javax.annotation</groupId>
			<artifactId>jsr250-api</artifactId>
			<version>1.0</version>
			<scope>provided</scope>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>javax.faces</groupId>
			<artifactId>jsf-api</artifactId>
			<version>1.2_04</version>
			<scope>provided</scope>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>javax.persistence</groupId>
			<artifactId>persistence-api</artifactId>
			<version>1.0</version>
			<scope>provided</scope>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-commons-annotations</artifactId>
			<version>3.3.0.ga</version>
			<scope>provided</scope>
		</dependency>
			<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-annotations</artifactId>
			<version>3.2.0.ga</version>
			<scope>provided</scope>
			</dependency>
	</dependencies>
	<build>
	<finalName>ejbs</finalName>
		<plugins>
			<plugin>
				<artifactId>maven-ejb-plugin</artifactId>
				<configuration>
					<ejbVersion>3.0</ejbVersion>
					<archive>
						<manifest>
							<addClasspath>true</addClasspath>
						</manifest>
					</archive>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
